Subject: Re: bug#37128: guix system reconfigure stops output after "Evaluating user expression..."

From: Ludovic Courtès <[email-masked]>
Date: Wed, 28 Aug 2019 22:42:59 +0200

Hello,

Pierre Neidhardt <[email-masked]> skribis:

> After a guix pull on 0fc235a, guix system reconfigure stop at
>
> shepherd: Evaluating user expression (let* ((services (map primitive-load (?))) # ?) ?).
>
>
> instead of
>
> shepherd: Evaluating user expression (let* ((services (map primitive-load (?))) # ?) ?).
> shepherd: Service user-homes has been started.
> shepherd: Service term-auto could not be started.
> bootloader successfully installed on '/dev/sda’
>
> The only change I've done to my config.scm is that now I have a btrfs
> filesystem (just for storage, it's not /home).

The “Evaluating user expression” started the ‘file-system’ service for
this btrfs file system, and it got stuck for some reason.  Did
/var/log/messages or the console show anything?

I suppose you’d have to try again the experiment.  Presumably there’s
some fsck-like process or something taking time or waiting for input.

Ludo’.